emacs-diffs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Emacs-diffs] Changes to emacs/configure [lexbind]


From: Miles Bader
Subject: [Emacs-diffs] Changes to emacs/configure [lexbind]
Date: Thu, 20 Nov 2003 19:36:30 -0500

Index: emacs/configure
diff -c emacs/configure:1.92.2.2 emacs/configure:1.92.2.3
*** emacs/configure:1.92.2.2    Tue Oct 14 19:59:08 2003
--- emacs/configure     Thu Nov 20 19:35:51 2003
***************
*** 950,956 ****
      else
        echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
      fi
!     cd "$ac_popdir"
    done
  fi
  
--- 950,956 ----
      else
        echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
      fi
!     cd $ac_popdir
    done
  fi
  
***************
*** 1147,1153 ****
        echo "$as_me: caught signal $ac_signal"
      echo "$as_me: exit $exit_status"
    } >&5
!   rm -f core *.core &&
    rm -rf conftest* confdefs* conf$$* $ac_clean_files &&
      exit $exit_status
       ' 0
--- 1147,1153 ----
        echo "$as_me: caught signal $ac_signal"
      echo "$as_me: exit $exit_status"
    } >&5
!   rm -f core core.* *.core &&
    rm -rf conftest* confdefs* conf$$* $ac_clean_files &&
      exit $exit_status
       ' 0
***************
*** 3420,3426 ****
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); }; }; then
    for ac_declaration in \
!    '' \
     'extern "C" void std::exit (int) throw (); using std::exit;' \
     'extern "C" void std::exit (int); using std::exit;' \
     'extern "C" void exit (int) throw ();' \
--- 3420,3427 ----
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); }; }; then
    for ac_declaration in \
!    ''\
!    '#include <stdlib.h>' \
     'extern "C" void std::exit (int) throw (); using std::exit;' \
     'extern "C" void std::exit (int); using std::exit;' \
     'extern "C" void exit (int) throw ();' \
***************
*** 3434,3441 ****
  cat confdefs.h >>conftest.$ac_ext
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
- $ac_declaration
  #include <stdlib.h>
  int
  main ()
  {
--- 3435,3442 ----
  cat confdefs.h >>conftest.$ac_ext
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
  #include <stdlib.h>
+ $ac_declaration
  int
  main ()
  {
***************
*** 4748,4754 ****
  ( exit $ac_status )
  ac_cv_header_stdc=no
  fi
! rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext 
conftest.$ac_ext
  fi
  fi
  fi
--- 4749,4755 ----
  ( exit $ac_status )
  ac_cv_header_stdc=no
  fi
! rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext 
conftest.$ac_objext conftest.$ac_ext
  fi
  fi
  fi
***************
*** 5401,5407 ****
  ( exit $ac_status )
  ac_cv_header_stdc=no
  fi
! rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext 
conftest.$ac_ext
  fi
  fi
  fi
--- 5402,5408 ----
  ( exit $ac_status )
  ac_cv_header_stdc=no
  fi
! rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext 
conftest.$ac_objext conftest.$ac_ext
  fi
  fi
  fi
***************
*** 7985,7991 ****
  ( exit $ac_status )
  ac_cv_func_mmap_fixed_mapped=no
  fi
! rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext 
conftest.$ac_ext
  fi
  fi
  echo "$as_me:$LINENO: result: $ac_cv_func_mmap_fixed_mapped" >&5
--- 7986,7992 ----
  ( exit $ac_status )
  ac_cv_func_mmap_fixed_mapped=no
  fi
! rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext 
conftest.$ac_objext conftest.$ac_ext
  fi
  fi
  echo "$as_me:$LINENO: result: $ac_cv_func_mmap_fixed_mapped" >&5
***************
*** 8764,8769 ****
--- 8765,8772 ----
  
  
    C_SWITCH_X_SITE="$C_SWITCH_X_SITE $GTK_CFLAGS"
+   CFLAGS="$CFLAGS $GTK_CFLAGS"
+   LIBS="$GTK_LIBS $LIBS"
    HAVE_GTK=yes
  
  cat >>confdefs.h <<\_ACEOF
***************
*** 8773,8778 ****
--- 8776,8874 ----
    USE_X_TOOLKIT=none
  
        with_toolkit_scroll_bars=yes
+ 
+       HAVE_GTK_MULTIDISPLAY=no
+ 
+ for ac_func in gdk_display_open
+ do
+ as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
+ echo "$as_me:$LINENO: checking for $ac_func" >&5
+ echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
+ if eval "test \"\${$as_ac_var+set}\" = set"; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+ /* confdefs.h.  */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+ /* System header to define __stub macros and hopefully few prototypes,
+     which can conflict with char $ac_func (); below.
+     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+     <limits.h> exists even on freestanding compilers.  */
+ #ifdef __STDC__
+ # include <limits.h>
+ #else
+ # include <assert.h>
+ #endif
+ /* Override any gcc2 internal prototype to avoid an error.  */
+ #ifdef __cplusplus
+ extern "C"
+ {
+ #endif
+ /* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+ char $ac_func ();
+ /* The GNU C library defines this for functions which it implements
+     to always fail with ENOSYS.  Some functions are actually named
+     something starting with __ and the normal name is an alias.  */
+ #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
+ choke me
+ #else
+ char (*f) () = $ac_func;
+ #endif
+ #ifdef __cplusplus
+ }
+ #endif
+ 
+ int
+ main ()
+ {
+ return f != $ac_func;
+   ;
+   return 0;
+ }
+ _ACEOF
+ rm -f conftest.$ac_objext conftest$ac_exeext
+ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+   (eval $ac_link) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); } &&
+          { ac_try='test -s conftest$ac_exeext'
+   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+   (eval $ac_try) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); }; }; then
+   eval "$as_ac_var=yes"
+ else
+   echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+ 
+ eval "$as_ac_var=no"
+ fi
+ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+ fi
+ echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
+ echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
+ if test `eval echo '${'$as_ac_var'}'` = yes; then
+   cat >>confdefs.h <<_ACEOF
+ #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
+ _ACEOF
+  HAVE_GTK_MULTIDISPLAY=yes
+ fi
+ done
+ 
+   if test "${HAVE_GTK_MULTIDISPLAY}" = "yes"; then
+ 
+ cat >>confdefs.h <<\_ACEOF
+ #define HAVE_GTK_MULTIDISPLAY 1
+ _ACEOF
+ 
+   fi
  fi
  
  if test x"${USE_X_TOOLKIT}" = xmaybe; then
***************
*** 10903,10909 ****
    echo $ECHO_N "(cached) $ECHO_C" >&6
  else
    ac_check_lib_save_LIBS=$LIBS
! LIBS="-lSM  $LIBS"
  cat >conftest.$ac_ext <<_ACEOF
  #line $LINENO "configure"
  /* confdefs.h.  */
--- 10999,11005 ----
    echo $ECHO_N "(cached) $ECHO_C" >&6
  else
    ac_check_lib_save_LIBS=$LIBS
! LIBS="-lSM -lICE $LIBS"
  cat >conftest.$ac_ext <<_ACEOF
  #line $LINENO "configure"
  /* confdefs.h.  */
***************
*** 10953,10960 ****
  echo "${ECHO_T}$ac_cv_lib_SM_SmcOpenConnection" >&6
  if test $ac_cv_lib_SM_SmcOpenConnection = yes; then
    HAVE_X_SM=yes
- else
-   -lICE
  fi
  
  fi
--- 11049,11054 ----
***************
*** 11337,11343 ****
  ( exit $ac_status )
  ac_cv_c_stack_direction=-1
  fi
! rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext 
conftest.$ac_ext
  fi
  fi
  echo "$as_me:$LINENO: result: $ac_cv_c_stack_direction" >&5
--- 11431,11437 ----
  ( exit $ac_status )
  ac_cv_c_stack_direction=-1
  fi
! rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext 
conftest.$ac_objext conftest.$ac_ext
  fi
  fi
  echo "$as_me:$LINENO: result: $ac_cv_c_stack_direction" >&5
***************
*** 12537,12543 ****
  ( exit $ac_status )
  ac_cv_func_working_mktime=no
  fi
! rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext 
conftest.$ac_ext
  fi
  fi
  echo "$as_me:$LINENO: result: $ac_cv_func_working_mktime" >&5
--- 12631,12637 ----
  ( exit $ac_status )
  ac_cv_func_working_mktime=no
  fi
! rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext 
conftest.$ac_objext conftest.$ac_ext
  fi
  fi
  echo "$as_me:$LINENO: result: $ac_cv_func_working_mktime" >&5
***************
*** 17136,17142 ****
  ( exit $ac_status )
  emacs_cv_localtime_cache=yes
  fi
! rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext 
conftest.$ac_ext
  fi
  else
        # If we lack tzset, report that localtime does not cache TZ,
--- 17230,17236 ----
  ( exit $ac_status )
  emacs_cv_localtime_cache=yes
  fi
! rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext 
conftest.$ac_objext conftest.$ac_ext
  fi
  else
        # If we lack tzset, report that localtime does not cache TZ,
***************
*** 17550,17556 ****
  ( exit $ac_status )
  emacs_cv_struct_timezone=no
  fi
! rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext 
conftest.$ac_ext
  fi
  else
    echo "$as_me: failed program was:" >&5
--- 17644,17650 ----
  ( exit $ac_status )
  emacs_cv_struct_timezone=no
  fi
! rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext 
conftest.$ac_objext conftest.$ac_ext
  fi
  else
    echo "$as_me: failed program was:" >&5
***************
*** 18422,18428 ****
  ( exit $ac_status )
  ac_cv_func_fork_works=no
  fi
! rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext 
conftest.$ac_ext
  fi
  fi
  echo "$as_me:$LINENO: result: $ac_cv_func_fork_works" >&5
--- 18516,18522 ----
  ( exit $ac_status )
  ac_cv_func_fork_works=no
  fi
! rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext 
conftest.$ac_objext conftest.$ac_ext
  fi
  fi
  echo "$as_me:$LINENO: result: $ac_cv_func_fork_works" >&5
***************
*** 18577,18583 ****
  ( exit $ac_status )
  ac_cv_func_vfork_works=no
  fi
! rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext 
conftest.$ac_ext
  fi
  fi
  echo "$as_me:$LINENO: result: $ac_cv_func_vfork_works" >&5
--- 18671,18677 ----
  ( exit $ac_status )
  ac_cv_func_vfork_works=no
  fi
! rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext 
conftest.$ac_objext conftest.$ac_ext
  fi
  fi
  echo "$as_me:$LINENO: result: $ac_cv_func_vfork_works" >&5




reply via email to

[Prev in Thread] Current Thread [Next in Thread]